package at.gv.brz.bjujq.erv.samples.anschriftcode;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodePortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeFehlerTyp;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeKopplungTyp;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodePortType;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodeServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.KopplungsstatusSetzenRequest;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.KopplungsstatusSetzenResponse;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.KopplungsStatus;

public class KopplungsstatusSetzen {

    public static void main(String[] args) throws ERVAnschriftcodeServiceException_Exception {
        ERVAnschriftcodePortType ervAnschriftcodePortType = new MockErvAnschriftcodePortBuilder()
                .withKopplungsstatusSetzen()
                .build();

        KopplungsstatusSetzenRequest request = SchemaUtil.OF_AN_SERVICE.createKopplungsstatusSetzenRequest();
        AnschriftcodeKopplungTyp anschriftcodeKopplungTyp = SchemaUtil.OF_AN_NR.createAnschriftcodeKopplungTyp();
        anschriftcodeKopplungTyp.setAnschriftcode("R000001");
        anschriftcodeKopplungTyp.setKopplungsStatus(KopplungsStatus.K);
        request.getAnschriftcodeKopplung().add(anschriftcodeKopplungTyp);

        KopplungsstatusSetzenResponse response = ervAnschriftcodePortType.kopplungsstatusSetzen(request);

        // Fehlercodes siehe ERV-Publikation
        if (response.getFehler() != null) {

        } else {
            for (AnschriftcodeFehlerTyp anschriftcodeFehlerTyp : response.getAnschriftcodeFehler()) {
                // Fehlerbehandlung pro Anschriftcode
            }
        }
    }
}
