package at.gv.brz.bjujq.erv.samples.anschriftcode;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodePortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeFehlerTyp;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeSichtbarkeitTyp;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodePortType;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodeServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.SichtbarkeitsstufeSetzenRequest;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.SichtbarkeitsstufeSetzenResponse;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.Sichtbarkeitsstufe;

public class SichtbarkeitsstufeSetzen {

    public static void main(String[] args) throws ERVAnschriftcodeServiceException_Exception {
        ERVAnschriftcodePortType ervAnschriftcodePortType = new MockErvAnschriftcodePortBuilder()
                .withSichtbarkeitsstufeSetzen()
                .build();

        SichtbarkeitsstufeSetzenRequest request = SchemaUtil.OF_AN_SERVICE.createSichtbarkeitsstufeSetzenRequest();
        AnschriftcodeSichtbarkeitTyp anschriftcodeSichtbarkeitTyp = SchemaUtil.OF_AN_NR.createAnschriftcodeSichtbarkeitTyp();
        anschriftcodeSichtbarkeitTyp.setAnschriftcode("R000001");
        anschriftcodeSichtbarkeitTyp.setSichtbarkeitsstufe(Sichtbarkeitsstufe.LEVEL_2);
        request.getAnschriftcodeSichtbarkeit().add(anschriftcodeSichtbarkeitTyp);

        SichtbarkeitsstufeSetzenResponse response = ervAnschriftcodePortType.sichtbarkeitsstufeSetzen(request);

        // Fehlercodes siehe ERV-Publikation
        if (response.getFehler() != null) {

        } else {
            for (AnschriftcodeFehlerTyp anschriftcodeFehlerTyp : response.getAnschriftcodeFehler()) {
                // Fehlerbehandlung pro Anschriftcode
            }
        }
    }
}
