package at.gv.brz.bjujq.erv.samples.anschriftcode;

import at.gv.brz.bjujq.erv.samples.common.MockErvAnschriftcodePortBuilder;
import at.gv.brz.bjujq.erv.samples.common.SchemaUtil;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeFehlerTyp;
import at.gv.justiz.erv.ervanschriftcodenachrichtextern.v3_2.AnschriftcodeStatusTyp;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodePortType;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.ERVAnschriftcodeServiceException_Exception;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.StatusSetzenRequest;
import at.gv.justiz.erv.ervanschriftcodeserviceextern.v3_2.StatusSetzenResponse;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.AnschriftcodeStatus;
import at.gv.justiz.erv.ervwertebereichextern.v3_0.Service;

public class StatusSetzen {


    public static void main(String[] args) throws ERVAnschriftcodeServiceException_Exception {
        ERVAnschriftcodePortType ervAnschriftcodePortType = new MockErvAnschriftcodePortBuilder()
                                .withStatusSetzen()
                                .build();

        StatusSetzenRequest request = SchemaUtil.OF_AN_SERVICE.createStatusSetzenRequest();
        AnschriftcodeStatusTyp anschriftcodeStatusTyp = SchemaUtil.OF_AN_NR.createAnschriftcodeStatusTyp();
        anschriftcodeStatusTyp.setAnschriftcode("R000001");
        anschriftcodeStatusTyp.setService(SchemaUtil.OF_TYP.createServiceTyp());
        anschriftcodeStatusTyp.getService().setServiceProvider("TEST");
        anschriftcodeStatusTyp.getService().setServiceArt(Service.UEBERMITTLUNGSSTELLE);
        anschriftcodeStatusTyp.setStatus(AnschriftcodeStatus.E);
        anschriftcodeStatusTyp.setZeitpunkt(SchemaUtil.createCurrentDateTime());
        request.getAnschriftcodeStatus().add(anschriftcodeStatusTyp);

        StatusSetzenResponse response = ervAnschriftcodePortType.statusSetzen(request);

        // Fehlercodes siehe ERV-Publikation
        if (response.getFehler() != null) {

        } else {
            for (AnschriftcodeFehlerTyp anschriftcodeFehlerTyp : response.getAnschriftcodeFehler()) {
                // Fehlerbehandlung pro Anschriftcode
            }
        }

    }
}
